{% extends 'base.html.twig' %}

{% block head_end %}
    <meta name="robots" content="noindex">
{% endblock %}

{% block body %}
    {% for message in app.flashes('note') %}
        <div class="flash-notice alert alert-info" role="alert">
            {{ message | trans }}
        </div>
    {% endfor %}

    <p>{% trans %}This page will allow you to receive an email containing a link that will allow you to manage certain parameters of your Frama.space.{% endtrans %}</p>
    <p>{% trans %}You will be able to configure the choice of the office suite used by your users on your Frama.space, permanently delete your space, modify the email of the space's referent, etc.{% endtrans %}</p>
    <p>{% trans %}Please enter the email of your Frama.space referrer (the one used to create the pre-registration form) using a link that will be sent to the email associated with your space.{% endtrans %}</p>

    {% if error %}
        <div class="alert alert-danger" role="alert">{{ error.messageKey|trans(error.messageData, 'security') }}</div>
    {% endif %}

    <form action="{{ path('login') }}" method="POST">
        <div class="mb-3">
            <label for="input-email-email-token" class="form-label">{% trans %}Email address{% endtrans %}</label>
            <input type="email" name="email" class="form-control" id="input-email-email-token" aria-describedby="help-email-email-token" autocomplete="email">
            <div id="help-email-email-token" class="form-text">{% trans %}The contact email used to manage your Frama.space{% endtrans %}</div>
        </div>
        <button type="submit" class="btn btn-primary">{% trans %}Send Login Link{% endtrans %}</button>
    </form>
{% endblock %}